<script>
import BusinessCaseModal from '../components/business-case-modal.vue';
import { mySynapp, myExperiment, myBusinessCase } from '../mockUpData';
export default {
  name: 'Home',
  components: { BusinessCaseModal },
  data() {
    return {
      businessCase: null,
      synapp: null,
      experiment: null,
    };
  },

  watch: {},

  mounted() {
    this.synapp = {...mySynapp};
    this.experiment = {...myExperiment};
    this.businessCase = {...myBusinessCase};
  },

  methods: {},
};
</script>

<template>
  <div class="Home">
    <b-alert show>Task 1: pass a state (this.businessCase) from a component to another as props (from Home.vue => to business-case-modal.vue)<br/>
      When clicking on the 'Edit' button, the modal should open with the pre-filled values (values of myBusinessCase in src/mockUpData.js)<br/>
    </b-alert>
    <b-button variant="danger" @click="$bvModal.show('editBusinessCaseModal')">Edit</b-button>
    <BusinessCaseModal
      id="editBusinessCaseModal"
      :is-edit="true"
    />
    <b-alert show>Task 2 : display one of the states of business-case-modal.vue in the Home.vue</b-alert>
  </div>
</template>
